diff -N -r -u rdnzl-cpp-0.5.2\RDNZL\DotNetContainer.cpp rdnzl-cpp-new\RDNZL\DotNetContainer.cpp
--- rdnzl-cpp-0.5.2\RDNZL\DotNetContainer.cpp	Tue Jan 03 19:49:54 2006
+++ rdnzl-cpp-new\RDNZL\DotNetContainer.cpp	Mon Apr 30 15:38:39 2007
@@ -142,6 +142,12 @@
   return static_cast<DotNetContainer *>(ptr)->isNull();
 }
 
+// make a copy of an existing DotNetContainer
+__declspec(dllexport) void *copyDotNetContainer(void *ptr) {
+	DotNetContainer* original = static_cast<DotNetContainer *> (ptr);
+	return new DotNetContainer(original->getContainerObject(),original->getContainerType());
+}
+
 // create a "placeholder" (NULL) container which only has a type
 __declspec(dllexport) void *makeTypedNullDotNetContainer(const __wchar_t *type) {
   return new DotNetContainer(0, Type::GetType(type));
diff -N -r -u rdnzl-cpp-0.5.2\RDNZL\DotNetContainer.h rdnzl-cpp-new\RDNZL\DotNetContainer.h
--- rdnzl-cpp-0.5.2\RDNZL\DotNetContainer.h	Tue Jan 03 19:49:54 2006
+++ rdnzl-cpp-new\RDNZL\DotNetContainer.h	Mon Apr 30 15:37:27 2007
@@ -84,6 +84,7 @@
   __declspec(dllexport) void refDotNetContainerType(void *ptr);
   __declspec(dllexport) void unrefDotNetContainerType(void *ptr);
   __declspec(dllexport) void freeDotNetContainer(void *ptr);
+  __declspec(dllexport) void *copyDotNetContainer(void *ptr);
   // function definition is in InvocationResult.cpp
   __declspec(dllexport) void *setDotNetContainerTypeFromString(const __wchar_t *type, void *ptr);
 }
